Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::KeyListener Class Reference

`#include <OgreEventListeners.h>`

Inheritance diagram for Ogre::KeyListener:

[legend]
List of all members.

## Public Methods

virtual void | keyClicked (KeyEvent *e)=0
| Invoked when the key has been clicked on a component.
virtual void | keyPressed (KeyEvent *e)=0
| Invoked when a key button has been pressed on a component.
virtual void | keyReleased (KeyEvent *e)=0
| Invoked when a key button has been released on a component.
virtual void | keyFocusIn (KeyEvent *e)
| Invoked when the target receives the keyboard focus.
virtual void | keyFocusOut (KeyEvent *e)
| Invoked when the target loses the keyboard focus.
virtual bool | isMulticaster () const
| Returns whether or not the listener is a multicaster.

## Member Function Documentation

virtual bool Ogre::EventListener::isMulticaster | ( |  | ) | const`[virtual, inherited]`

| Returns whether or not the listener is a multicaster. Reimplemented in Ogre::EventMulticaster. Definition at line 65 of file OgreEventListeners.h. Referenced by Ogre::EventMulticaster::convertListenerToMulti(), and Ogre::EventMulticaster::removeInternal().

virtual void Ogre::KeyListener::keyClicked | ( | KeyEvent * | e | ) | `[pure virtual]`

| Invoked when the key has been clicked on a component. Referenced by Ogre::KeyTarget::processKeyEvent().

virtual void Ogre::KeyListener::keyFocusIn | ( | KeyEvent * | e | ) | `[virtual]`

| Invoked when the target receives the keyboard focus. Definition at line 129 of file OgreEventListeners.h.

virtual void Ogre::KeyListener::keyFocusOut | ( | KeyEvent * | e | ) | `[virtual]`

| Invoked when the target loses the keyboard focus. Definition at line 133 of file OgreEventListeners.h.

virtual void Ogre::KeyListener::keyPressed | ( | KeyEvent * | e | ) | `[pure virtual]`

| Invoked when a key button has been pressed on a component. Referenced by Ogre::KeyTarget::processKeyEvent().

virtual void Ogre::KeyListener::keyReleased | ( | KeyEvent * | e | ) | `[pure virtual]`

| Invoked when a key button has been released on a component. Referenced by Ogre::KeyTarget::processKeyEvent().

The documentation for this class was generated from the following file:

- OgreEventListeners.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:09 2004